[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.Initialize

Initialize - calls inherited Initialize, then initialises widget set, loads icons from Laz resources and updates screen

## Declaration

Source position: forms.pp line 1320

`public procedure TApplication.Initialize; override;`

## Description

Finds the appropriate widget set, reads the application's icon (if any) from the Lazarus Resource file, initialises the screen, and leaves it ready for processing.

## See also

TCustomApplication.Initialize

The latest version of this document can be found at lazarus-ccr.sourceforge.net .